Subject: Re: [PATCH 1/3] xen-netback: make feature-rx-notify mandatory

From: David Vrabel <[email-masked]>
Date: Thu, 23 Oct 2014 12:52:29 +0100

On 23/10/14 12:44, Wei Liu wrote:
> On Thu, Oct 23, 2014 at 12:37:54PM +0100, David Vrabel wrote:
>> On 23/10/14 12:32, Wei Liu wrote:
>>> On Thu, Oct 23, 2014 at 12:16:29PM +0100, Wei Liu wrote:
>>>> On Wed, Oct 22, 2014 at 02:08:53PM +0100, David Vrabel wrote:
>>>>> Frontends that do not provide feature-rx-notify may stall because
>>>>> netback depends on the notification from frontend to wake the guest Rx
>>>>> thread (even if can_queue is false).
>>>>>
>>>>> This could be fixed but feature-rx-notify was introduced in 2006 and I
>>>>> am not aware of any frontends that do not implement this.
>>>>>
>>>>> Signed-off-by: David Vrabel <[email-masked]>
>>>>
>>>> Acked-by: Wei Liu <[email-masked]>
>>>
>>> While I can understand this patch by itself, can you elaborate a little
>>> bit on how it affects later patches? Because what I'm thinking is that
>>> this patch is not for stable while other two should go to stable.
>>
>> >From the cover letter:
>>
>> "The first patch is a prerequite.  Removing support for frontends with
>> feature-rx-notify makes it easier to reason about the correctness of
>> netback since it no longer has to support this outdated and broken
>> mode."
>>
> 
> I saw that.
> 
> I think you should make it a little bit clearer.

I'm not sure how I can make this any clearer.  Perhaps you should wander
over to my desk to discuss this in person?

> The queue is not guaranteed to stop if we keep this feature.
> 
>> The other patches do not meet the stable kernel requirements (they're
>> too long one thing).
>>
> 
> Does length matter? I surely had written long patch for stable.

>>From Documentation/stable_kernel_rules.txt:

"- It cannot be bigger than 100 lines, with context."

David